Bug 205267 - Review Request: perl-Package-Generator - Generate new packages quickly and easily
Review Request: perl-Package-Generator - Generate new packages quickly and ea...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Package-G...
:
Depends On:
Blocks: FE-ACCEPT perl-Sub-Exporter
  Show dependency treegraph
 
Reported: 2006-09-05 13:45 EDT by Chris Weyl
Modified: 2011-02-12 19:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 01:08:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 13:45:29 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Package-Generator-0.100-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Package-Generator.spec

Description:
This module lets you quickly and easily construct new packages. It gives
them unused names and sets up their package data, if provided.
Comment 1 Jason Tibbitts 2006-09-06 23:07:31 EDT
* source files match upstream:
   201e8aec3f37b879bd01abd5ad22fe5e  Package-Generator-0.100.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Package::Generator) = 0.100
   perl(Package::Reaper) = 0.100
   perl-Package-Generator = 0.100-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Scalar::Util)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=7, Tests=72,  0 wallclock secs ( 0.23 cusr +  0.12 csys =  0.35 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-09-07 01:08:09 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!
Comment 3 Paul Howarth 2011-01-17 06:26:10 EST
Package Change Request
======================
Package Name: perl-Package-Generator
New Branches: el4
Owners: pghmcfc rmyers

I'd like an EPEL-4 branch for perl-Package-Generator please. The Fedora maintainer
(cweyl) isn't interested in EPEL, and the EPEL-5 maintainer (rmyers) doesn't
seem to have been active in Fedora for a few months and hasn't responded to a
private email sent on the 5th January. Nevertheless, I'd added him as
co-maintainer and he's welcome to the package if at a later date he wants it.
Comment 4 Jens Petersen 2011-01-18 01:43:52 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-01-27 14:04:37 EST
perl-Package-Generator-0.100-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Package-Generator-0.100-2.el4
Comment 6 Fedora Update System 2011-02-12 19:21:43 EST
perl-Package-Generator-0.100-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.